function cancelPassAcceptMenu(originalBGImage)
	screen:blit(170, 170, menuImages["cancel_pass_accept_menu"], true)
	printBicolor(screen, 185, 180, "CANCEL", black, white)
	printBicolor(screen, 226, 235, "PASS", black, white)
	printBicolor(screen, 248, 180, "ACCEPT", black, white)
	
	
	--TODO: why?????
	if environment=="pc" then
		screen.waitVblankStart()
		screen.flip()
	end
	screen.waitVblankStart()
	screen.flip()
	
	while true do
		updateInputs(Controls.read())
		
		if inputFirstPress("circle") then
			return "accept"
		elseif inputFirstPress("square") then
			return "cancel"
		elseif inputFirstPress("cross") then
			return "pass"
		end
	end
end 